Subject: bug#49037: flyspell word correction frustrating

From: [email-masked]
Date: Tue, 15 Jun 2021 20:24:27 +0200 (CEST)

>From: Eli Zaretskii <[email-masked]>
>To: [email-masked]
>Subject: Re: bug#49037: flyspell word correction frustrating
>Date: 15/06/2021 19:33:50 Europe/Paris
>Cc: [email-masked];
>   [email-masked]

>> From: [email-masked]
>> Cc: [email-masked],
>> [email-masked]
>> Date: Tue, 15 Jun 2021 19:08:48 +0200 (CEST)
>> 
>> >> If it was good information I would not complain.
>> 
>> >What is not good about it?
>> 
>> For instance:
>> 
>> 1. It does not tell me that aspell is the default

>Why should it? You set up your system with whatever spell-checker you
>want, and Emacs uses that. It is not Emacs's business to tell you
>which spell-checker to install and use.

I have multiple ones and make comparisons between them.  So I really want to know

what it uses.  After all the information is there and that is what emacs actually does.

Should I not be able to easily know what it is doing under the hood.  Emacs Self

Documentation should help me with that.

>> 2. It does not tell me that even when I use ispell-word, it might actually
>> do something else (aspell-word maybe).

>ispell-word is a command, it is unrelated to the program being
>invoked. The manual clearly says that those commands can work with
>any one of the 4 supported spell-checkers.

>> 3. It does not describe that it searches PATH.

>That's an implementation detail. If you want to know those details,
>you have the source to read and study. The user manual explains how

>to use the commands, not how the commands work.

Explains with no examples or much description of ispell-program-name, which

for me is very important.

Because Gnu Aspell was designed to replace Ispell, how about deprecating Ispell

and simply have emacs-ispell be the general framework for orthographic study.

That would certainly solve the problem.

Would appreciate if you do not consider me a "Bad Actor".